#!/usr/bin/env bash
# SPDX-License-Identifier: Apache-2.0
#
# Copyright 2023 The Enola <https://enola.dev> Authors
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

set -euo pipefail

CWD=$(pwd)
cleanup() {
  cd "$CWD"
  trap - EXIT
}
trap cleanup EXIT

# https://specifications.freedesktop.org/basedir-spec/basedir-spec-latest.html
: "${XDG_CACHE_HOME:=$HOME/.cache}"
CACHE="$XDG_CACHE_HOME"/enola/
mkdir -vp "$CACHE"

cd "$CACHE"
wget --no-config --no-netrc --no-verbose --show-progress --timestamping \
  --compression=gzip --referer=https://docs.enola.dev/use/ \
  https://docs.enola.dev/download/latest/enola

cd "$CWD"
chmod +x "$CACHE"/enola
exec "$CACHE"/enola
